// $Id: tideList.h 7013 2019-03-31 16:27:15Z flaterco $

/*****************************************************************************\

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

\*****************************************************************************/


#ifndef TIDELIST_H
#define TIDELIST_H

#include "tideEditor.h"
#include <vector>

#define STATIONS_PER_PAGE   2000

class TideList:public QDialog
{
    Q_OBJECT 


  public:

  TideList (QWidget *parent, const char *name, NV_BOOL ro);
    ~TideList ();


    void updateTideList ();


  protected:

    NV_BOOL readonly;

    DB_HEADER_PUBLIC db;
    TIDE_RECORD rec;

    QTabWidget *tideList;

    TideEditor *tideEditor;

    QListWidget **stationList;

    int numtabs, page, lastrec;
    std::vector<bool> page_displayed;


  protected slots:

    void slotCurrentChanged ();
    void slotSelected ();
    void slotHighlighted ();


  private:
};

#endif
